[svn.haxx.se] · SVN Dev · SVN Users · SVN Org · TSVN Dev · TSVN Users · Subclipse Dev · Subclipse Users · this month's index

Re: "OPTIONS request failed" error after upgrade to 1.2

From: Norbert Unterberg <nunterberg_at_gmail.com>
Date: 2005-07-04 13:14:22 CEST

2005/7/1, Ben Collins-Sussman <sussman@collab.net>:
>
> Hopefully you saw the releasenotes for 1.2, where it
> explains how to upgrade BDB (in the "compatibility concerns" section)?
>
> http://subversion.tigris.org/svn_1.2_releasenotes.html
>

I think the release notes are not true about the database upgrade, at
least from the windows point of view. Since BDB is statically linked
with the win32 executables (even with the svn.exe client), it is
subversion which does the database upgrade on windows systems. That
means subversion 1.2 can NOT read version 1.1 repositories (without
manual intervention). On windows, the Berkely DB upgrade *is* very
well related to the Subversion 1.2 release.

> This is also explained in the README that ships in the win32
> binaries. It looks like you need to upgrade your repository to 4.3.

The readme.txt which ships with the win32 binaries is not installed if
you use the windows installer (at least not during the update from 1.1
on my system). So I have never seen this readme.txt before I saw your
mail on the list about it. There is a readme.txt file in my subversion
install folder, but it does not mention the database upgrade at all:

Subversion, a version control system.
Contents:
     I. A FEW POINTERS
    II. DOCUMENTATION
   III. PARTICIPATING IN THE SUBVERSION COMMUNITY
    IV. QUICKSTART GUIDE
     V. CONVERTING FROM CVS

Perhaps these two issues can be improved with the 1.2.1 release?

Norbert

---------------------------------------------------------------------
To unsubscribe, e-mail: users-unsubscribe@subversion.tigris.org
For additional commands, e-mail: users-help@subversion.tigris.org
Received on Mon Jul 4 13:19:46 2005

This is an archived mail posted to the Subversion Users mailing list.